Home//Jobs
Jobs
Introduction
Changelog (2.17)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Dynamic Content
Emails
Fin Agent
Folders
Help Center
Internal Articles
IP Allowlist
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
Retrieve the status of job execution.
resource_id and resource_url are returned only once status is success. While the job is pending or failed both keys are left out of the response rather than returned as null.
Requires the read_jobs OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/jobs/status/{job_id}
- The european API serverhttps://api.eu.intercom.io/jobs/status/{job_id}
- The australian API serverhttps://api.au.intercom.io/jobs/status/{job_id}
curl -i -X GET \
'https://api.intercom.io/jobs/status/{job_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Job execution status
The id of the resource created during job execution (e.g. ticket id). Only set once the job has succeeded.
Example:"123"
Response
- job status retrieved
- job still pending
{ "type": "job", "id": "2", "url": "https://api.intercom.io/jobs/status/2", "status": "success", "resource_type": "ticket", "resource_id": "20", "resource_url": "https://api.intercom.io/tickets/20" }